## org.hibernate.type
Class AbstractLongStringType

    java.lang.Object
      org.hibernate.type.AbstractType
          org.hibernate.type.NullableType
              org.hibernate.type.ImmutableType
                  org.hibernate.type.AbstractLongStringType

All Implemented Interfaces:
  Serializable, StringRepresentableType, Type, XmlRepresentableType

Deprecated. Use the `AbstractStandardBasicType` approach instead

    public abstract class AbstractLongStringType

extends ImmutableType

An abstract type for mapping long string SQL types to a Java String.

Author:
  Gavin King, Bertrand Renuart (from TextType)
See Also:
  Serialized Form

Constructor Summary
`AbstractLongStringType()` Deprecated.

Method Summary
`Object` `fromStringValue(String xml)` Deprecated. Consume the given string representation back into this types java form.
`Object` `get(ResultSet rs, String name)` Deprecated. Get a column value from a result set, without worrying about the possibility of null values.
`Class` `getReturnedClass()` Deprecated. The class returned by `Type.nullSafeGet(java.sql.ResultSet, java.lang.String[], org.hibernate.engine.SessionImplementor, java.lang.Object)` methods.
`void` `set(PreparedStatement st, Object value, int index)` Deprecated. Set a parameter value without worrying about the possibility of null values.
`String` `toString(Object val)` Deprecated. Render the value to the string representation.

Methods inherited from class org.hibernate.type.ImmutableType
`deepCopy, isMutable, replace`

Methods inherited from class org.hibernate.type.NullableType
`fromXMLNode, fromXMLString, getColumnSpan, isDirty, isEqual, isEqual, nullSafeGet, nullSafeGet, nullSafeGet, nullSafeGet, nullSafeSet, nullSafeSet, nullSafeSet, nullSafeToString, setToXMLNode, sqlType, sqlTypes, toColumnNullness, toLoggableString, toXMLString`

Methods inherited from class org.hibernate.type.AbstractType
`assemble, beforeAssemble, compare, disassemble, getHashCode, getHashCode, getSemiResolvedType, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isEntityType, isEqual, isModified, isSame, isXMLElement, replace, replaceNode, resolve, semiResolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.type.Type
`getName`

Constructor Detail

### AbstractLongStringType

    public AbstractLongStringType()

  Deprecated.

Method Detail

### set

    public void set(PreparedStatement st,
                    Object value,
                    int index)
             throws HibernateException,
                    SQLException

  Deprecated.
  Description copied from class: `NullableType`
  Set a parameter value without worrying about the possibility of null values. Called from `NullableType.nullSafeSet(java.sql.PreparedStatement, java.lang.Object, int, boolean[], org.hibernate.engine.SessionImplementor)` after nullness checks have been performed.

  Specified by:
    `set` in class `NullableType`
  Parameters:
    `st` - The statement into which to bind the parameter value.
    `value` - The parameter value to bind.
    `index` - The position or index at which to bind the param value.
  Throws:
    `HibernateException` - Generally some form of mismatch error.
    `SQLException` - Indicates problem making the JDBC call(s).

### get

    public Object get(ResultSet rs,
                      String name)
               throws HibernateException,
                      SQLException

  Deprecated.
  Description copied from class: `NullableType`
  Get a column value from a result set, without worrying about the possibility of null values. Called from `NullableType.nullSafeGet(java.sql.ResultSet, java.lang.String[], org.hibernate.engine.SessionImplementor, java.lang.Object)` after nullness checks have been performed.

  Specified by:
    `get` in class `NullableType`
  Parameters:
    `rs` - The result set from which to extract the value.
    `name` - The name of the value to extract.
  Returns:
    The extracted value.
  Throws:
    `HibernateException` - Generally some form of mismatch error.
    `SQLException` - Indicates problem making the JDBC call(s).

### getReturnedClass

    public Class getReturnedClass()

  Deprecated.
  Description copied from interface: `Type`
  The class returned by `Type.nullSafeGet(java.sql.ResultSet, java.lang.String[], org.hibernate.engine.SessionImplementor, java.lang.Object)` methods. This is used to establish the class of an array of this type.

  Returns:
    The java type class handled by this type.

### toString

    public String toString(Object val)

  Deprecated.
  Description copied from interface: `StringRepresentableType`
  Render the value to the string representation.

  Specified by:
    `toString` in interface `StringRepresentableType`
  Specified by:
    `toString` in class `NullableType`
  Parameters:
    `val` - The value to render to string.
  Returns:
    The string representation

### fromStringValue

    public Object fromStringValue(String xml)

  Deprecated.
  Description copied from interface: `StringRepresentableType`
  Consume the given string representation back into this types java form.

  Specified by:
    `fromStringValue` in interface `StringRepresentableType`
  Specified by:
    `fromStringValue` in class `NullableType`
  Parameters:
    `xml` - The string representation to be consumed.
  Returns:
    The java type representation

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.